package com.adealink.weparty.commonui.ripple.lifecyle

/**
 *  Base Lifecycle Observer
 */
interface BaseLifecycle {

    /**
     * onResume
     */
    fun onResume()

    /**
     * onPause
     */
    fun onPause()

    /**
     * onDestroy
     */
    fun onDestroy() {
    }
}